Subject: Re: bug#11974: 24.1.50; python-nav-forward-sexp-function doesn't skip over strings

From: Ivan Andrus <[email-masked]>
Date: Fri, 28 Sep 2012 23:18:29 +0200

On Jul 20, 2012, at 12:54 AM, Stefan Monnier wrote:

>>> def foo():
>>>   toto
>>>   bar
>> In my mind you should skip to after bar only if the cursor is before the def
>> (or possibly anywhere in the def keyword).
> 
> This is the obvious non-controversial case, indeed.  If that's
> sufficient, then I think there is no remaining problem.
> 
> I just assumed that Fabián (or others) also wanted to be able to skip
> just the "block" of statements without the introductory element (like
> def/if/...).

I'm okay if people like the current definition of "sexp" for python-mode, but I still think the implementatin is slightly broken.  In the simple example below I cannot get past the end of the main function using `forward-sexp'.  Is this by design?

def main():
    return 2+3 # I get stuck here

print main()

If this is by design then I'll work around it in my code.

-Ivan